public class HArchive extends HSource
| Constructor and Description |
|---|
HArchive(java.lang.String name,
nxm.sys.lib.Midas M) |
| Modifier and Type | Method and Description |
|---|---|
int |
df_read(nxm.sys.lib.DataFile df,
byte[] buf,
long off,
int bytes) |
boolean |
handleHeadRequest() |
void |
handleRequest(java.lang.String uri,
HPage hp)
Invoked to write the data from this source into the specified HPage.
|
int |
hp_read(byte[] buf,
int off,
int bytes,
HPage hp) |
canHandleRequest, getName, setServerpublic boolean handleHeadRequest()
handleHeadRequest in class HSourcepublic void handleRequest(java.lang.String uri,
HPage hp)
HSourcehandleRequest in class HSourceuri - The Request string containing the request parameters.hp - The HPage to write the data into.public int hp_read(byte[] buf,
int off,
int bytes,
HPage hp)
public int df_read(nxm.sys.lib.DataFile df,
byte[] buf,
long off,
int bytes)